Package org.eclipse.net4j.util.om.monitor

## Interface ProgressDistributable<CONTEXT>

- All Known Implementing Classes:
    `ProgressDistributable.Default`

      public interface ProgressDistributable<CONTEXT>

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `ProgressDistributable.Default<CONTEXT>` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getLoopCount​(CONTEXT context)` |
    `double` | `getLoopWork​(CONTEXT context)` |
    `void` | `runLoop​(int index, CONTEXT context, OMMonitor monitor)` |

- - ### Method Detail

    - #### getLoopCount

          int getLoopCount​(CONTEXT context)

    - #### getLoopWork

          double getLoopWork​(CONTEXT context)

    - #### runLoop

          void runLoop​(int index,
                       CONTEXT context,
                       OMMonitor monitor)
                throws java.lang.Exception

      Throws:
        `java.lang.Exception`